pro bbso_copy, date
;
;+
;HISTORY:
;	Written Jun-92 by M.Morrison
;	20-Nov-92 (MDM) - Modified to use node suncub.bbso.caltech.edu (or 192.76.121.2)
;			  instead of sundog.caltech.edu
;			- Also moved to directory "fulldisk" to get the files
;			- The file names have a extra letter "a" after the date
;	25-Jan-93 (MDM) - Modified to use environment variables $MAIL_BBSO_COPY
;			  to send mail instead of fixed list
;       14-May-93 (MDM) - Changed to use $ydb_raw and $ys
;	26-May-93 (MDM) - Changed to use /ys/site/script instead of /ys/gen/script
;	19-Aug-93 (MDM) - Removed /SELF switch from MAIL call
;       30-aug-94 (SLF) - add fl_suntoday call
;       22-May-98 (PGS) - changed ftp site from suncub.bbso.caltech.edu to 
;                         ftp.bbso.njit.edu
;                         (how frequent are fts files there?  change to jpg?)
;-
;
if (n_elements(date) eq 0) then begin		;assume called by batch job
    daytim = anytim2ints(!stime)
    daytim.day = daytim.day - 1
    tarr = anytim2ex(daytim)
    date = gt_day(tarr, /str, /leadzero)
end else begin
    date = gt_day(anytim2ex(date), /str, /leadzero)
end
date = strlowcase(date)
date0 = strmid(date, 3, 3) + strmid(date, 0, 2)
;
outdir  = getenv('DIR_GBO_TEMP')
logdir  = '$ys/site/script'
filnam1  = 'h' + date0 + 'a.fts'
filnam2  = 'k' + date0 + 'a.fts'
filnam3  = 'w' + date0 + 'a.fts'
ftp_fil = concat_dir(logdir, 'bbso_copy.ftp')
outfil1  = concat_dir(outdir, filnam1)
outfil2  = concat_dir(outdir, filnam2)
outfil3  = concat_dir(outdir, filnam3)
;
spawn, 'rm -f ' + ftp_fil
openw, lun, ftp_fil, /get_lun
;printf, lun, 'open suncub.bbso.caltech.edu'	;(or 192.76.121.2)
printf, lun, 'open ftp.bbso.njit.edu'
printf, lun, 'user anonymous yohkoh'
printf, lun, 'binary'
printf, lun, 'cd /pub/fulldisk/halpha'
printf, lun, 'get ' + filnam1 + ' ' + outfil1
printf, lun, 'cd /pub/fulldisk/kline'
printf, lun, 'get ' + filnam2 + ' ' + outfil2
printf, lun, 'cd /pub/fulldisk/wl'
printf, lun, 'get ' + filnam3 + ' ' + outfil3
printf, lun, 'bye'
free_lun, lun

cmd = 'ftp -n < ' + ftp_fil
result = ''
spawn, cmd, result
;
if (result(0) eq '') then begin
    message = 'BBSO_COPY successful for ' + string(filnam1, filnam2, filnam3, format='(3(1x,a))')
    if (getenv('MAIL_BBSO_COPY1') ne '') then mail, message, user='$MAIL_BBSO_COPY1'
    fl_suntoday,/generate
end else begin
    message = ['BBSO_COPY unsuccessful for '+string(filnam1, filnam2, filnam3, format='(3(1x,a))'), result]
    if (getenv('MAIL_BBSO_COPY2') ne '') then mail, message, user='$MAIL_BBSO_COPY2'
end
;
end
